Package: org.apache.groovy.docgenerator

## [Groovy] Class GDKDocTool

- org.apache.groovy.docgenerator.GDKDocTool

-     class GDKDocTool
      extends Object

  Runs groovydoc programmatically against a tree of mock source files produced by MockSourceGenerator, writing the GDK documentation to the output dir. Uses GroovyDocTool directly rather than shelling out to Main so template overrides and link-arg wiring can be driven from Groovy code.

  Since:
    6.0.0

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `List<LinkArgument>` | `links` External documentation links forwarded to GroovyDoc.
    `File` | `outputDir` Directory where generated documentation is written.
    `String` | `preLanguage` Language hint used when rewriting generated `<pre>` blocks.
    `File` | `sourceDir` Directory containing the mock source files to document.
    `String` | `syntaxHighlighter` Syntax highlighter identifier passed to the documentation templates.
    `String` | `theme` Theme name passed to the documentation templates.
    `String` | `title` Title used for generated documentation pages.

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GDKDocTool()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `static void` | `main(String[] args)` Runs the documentation generator from the command line.
    `` | `int` | `run()` Generates Groovy JDK documentation for the configured source tree.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Property Detail

    - #### List<LinkArgument> links

      External documentation links forwarded to GroovyDoc.

    - #### File outputDir

      Directory where generated documentation is written.

    - #### String preLanguage

      Language hint used when rewriting generated `<pre>` blocks.

    - #### File sourceDir

      Directory containing the mock source files to document.

    - #### String syntaxHighlighter

      Syntax highlighter identifier passed to the documentation templates.

    - #### String theme

      Theme name passed to the documentation templates.

    - #### String title

      Title used for generated documentation pages.

  - ### Constructor Detail

    - #### GDKDocTool()

  - ### Method Detail

    - #### static void main(String[] args)

      Runs the documentation generator from the command line.

      Parameters:
        `args` - command-line arguments

    - #### int run()

      Generates Groovy JDK documentation for the configured source tree.

      Returns:
        the GroovyDoc error count